Subject: WG ACTION: Domain Name Server Operations (dnsop)

From: The IESG <[email-masked]>
Date: Wed, 09 Jun 1999 07:26:09 -0400

A new working group has been formed in the Operations and Management
Area of the IETF. Please contact the chair or Area Directors for
additional information.

Domain Name Server Operations (dnsop)
-------------------------------------

 Current Status: Active Working Group
 
 Chair(s):
     Lars-Johan Liman <[email-masked]>
 
 Operations and Management Area Director(s): 
     Randy Bush  <[email-masked]>
     Bert Wijnen  <[email-masked]>
 
 Operations and Management Area Advisor: 
     Bert Wijnen  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
     Archive:           ftp://ftp.cafax.se/pub/archives/dnsop

Description of Working Group:
 
The DNS Operations Working Group will develop guidelines for the
operation DNS name servers and the administration of DNS zone files.
These guidelines will provide technical information relating to the
implementation of the DNS protocol by the operators and administrators
of DNS domains.  The group will perform the following activities:

 1. Define the processes by which Domain Name System (DNS) servers may
    be efficiently and correctly administered, configured, and
    operated on Internet networks.  This will include root zone name
    servers, gTLD name servers, and the name servers of other DNS
    domains.  As part of this effort, the group will produce documents
    explaining to the general Internet community what processes and
    mechanisms should be employed for the effective management and
    operation of DNS servers.

 2. Publish (or assume sponsorship for) documents concerning DNSSEC
    procedures.

 3. Publish (or assume sponsorship for) documents concerning the
    education of new/novice DNS "users" (FYI-RFCs).

 4. Identify performance measurement tools and evaluate their
    effectiveness.

The group sees four main areas with related documents:

  Root Name Server Operational Requirements
  draft-bush-dnsop-root-opreq-00.txt
  Editor: Randy Bush

  Multiple servers sharing the same IP address

  Editor: Masataka Ohta 

  Zone KEY RRSet Signing Procedure
  draft-ietf-dnssec-key-handling-00.txt
  Editor: Edward Lewis

  Performance and measuring
  Editors: Randy Bush & Michael Patton
 
 Goals and Milestones: 
 
   Jun 99       Publish revised Root Server Requirements.                      

   Jul 99       Publish revised version of Key Handling.                       

   Jul 99       Publish first version of Servers Sharing IP#.                  

   Sep 99       WG last call for Root Server Requirements.                     

   Sep 99       Publish first version of Performance and Measuring.            

   Oct 99       Publish revised version of Key Handling.                       

   Oct 99       Publish revised version of Servers Sharing IP#.                

   Nov 99       Submit Root Server Requirements to the IESG for  consideration 
                as Informational (BCP?).                                       

   Dec 99       Publish 2nd revised version of Servers Sharing IP#.            

   Jan 00       Publish revised version of Key Handling.                       

   Feb 00       Publish revised Performance and Measuring.                     

   Mar 00       WG last call for Key Handling.                                 

   Mar 00       WG last call for Servers Sharing IP#.                          

   May 00       Publish revised Performance and Measuring.                     

   May 00       Submit Servers Sharing IP# to the IESG for consideration as 
                Informational.                                                 

   Jun 00       Submit Key Handling to the IESG for consideration as  BCP.     

   Aug 00       WG last call for Performance and Measuring.                    

   Oct 00       Submit Performance and Measuring to the IESG for consideration 
                as Informational.